<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim strType, strError, strHeader, strRedirect, strMessage

'load and check variables
strType = request.querystring("Type")
strError = request.querystring("Error")
strRedirect = request.querystring("Redirect")
%>

<title><%=strBlogTitle%> >> Error</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Common/favicon.ico" />
<script type="text/javascript" src="<%=strBlogLocation%>/Includes/inc-javascript.js"></script>

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include virtual="/Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="notification">
				<%
				select case strType
					
					case "Article"
						
						strHeader = "Article error"
						
						select case strError
							case "Article"
								strMessage = "The specified article could not be found."
							case "Category"
								strMessage = "You have not specified a valid category for the article."
							case "Title"
								strMessage = "You have not specified a valid title for the article."
							case "Content"
								strMessage = "You have not specified any valid content for the article."
							case "Images"
								strMessage = "You have not specified any valid image folder for the article."
							case "Authorised"
								strMessage = "The article that you have specified has already been authorised."
							case "Level"
								strMessage = "You do not have the permissions required to view this article."
						end select
					
					case "Comments"
						
						strHeader = "Comment error"
						
						select case strError
							case "Article"
								strMessage = "You have not specified a valid article."
							case "Author"
								strMessage = "You have not specified a valid name for your comment."
							case "Email"
								strMessage = "You have not specified a valid email address for your comment."
							case "Content"
								strMessage = "You have not included a valid comment."
							case "Spam"
								strMessage = "You can only post a comment once every "& intBlogCommentLimit &" seconds."
							case "Comment"
								strMessage = "You have not specified a valid comment."
							case "Authorised"
								strMessage = "The comment that you have specified has already been authorised."
							case "Disabled"
								strMessage = "Comments are currently disabled."
						end select
						
					case "Events"
						
						strHeader = "Events error"
						
						select case strError
							case "Disabled"
								strMessage = "Events are currently disabled."
							case "Title"
								strMessage = "You have not specified a valid title for the event."
							case "Description"
								strMessage = "You have not specified a valid description for the event."
							case "Date"
								strMessage = "You have not specified a valid date for the event."
							case "Event"
								strMessage = "You have not specified a valid event to edit."
							case "Disabled"
								strMessage = "Events are currently disabled."
						end select
					
					case "Search"
						
						strHeader = "Search error"
						
						select case strError
							case "Spam"
								strMessage = "You can only perform a search once every "& intBlogSearchLimit &" seconds."
							case "Keywords"
								strMessage = "You have not specified any valid keywords"
						end select
						
					case "Administration"
						
						strHeader = "Administration error"
						
						select case strError
							case "Permissions"
								strMessage = "You do not have sufficient user permissions to access this page."
							case "Logged"
								strMessage = "You are not logged in to "& strBlogTitle &". Please log in to access the administration panel."
						end select
					
					case "Account"
						
						strHeader = "Account error"
						
						select case strError
							case "Email"
								strMessage = "You have not entered a valid email address."
							case "Password"
								strMessage = "You have not entered a valid password for your account."
						end select
						
					case "Users"
						
						strHeader = "Users error"
						
						select case strError
							case "User"
								strMessage = "You have not selected a valid user."
							case "Name"
								strMessage = "You have not entered a valid username."
							case "Email"
								strMessage = "You have not entered a valid email address."
							case "Password"
								strMessage = "You have not entered a valid password for your account."
							case "Level"
								strMessage = "You have not selected a valid level for the user registration."
							case "Administrator"
								strMessage = "You cannot delete or change the user level of the default Administrator."
							case "Duplicate"
								strMessage = "The username and/or email address that you have specified is already in use."
							case "Authorised"
								strMessage = "The user that you have selected has already been authorised."
							case "Profile"
								strMessage = "You have not selected a valid user profile."
						end select
					
					case "General"
						
						strHeader = "General settings error"
						
						select case strError
							case "Name"
								strMessage = "You must enter a valid name for your blog."
							case "Theme"
								strMessage = "You have not selected a valid theme."
							case "Location"
								strMessage = "You have not entered a valid location for your blog."
							case "Format"
								strMessage = "You have not selected a valid time format."
							case "Offset"
								strMessage = "You have not entered a valid time offset."
						end select
					
					case "Email"
						
						strHeader = "Email error"
						
						select case strError
							case "Address"
								strMessage = "You have not entered a valid email address."
						end select
						
					case "Folders"
						
						strHeader = "Folder error"
						
						select case strError
							case "Name"
								strMessage = "You have not entered a valid folder name. Folder names can only contain letters and cannot contain any spaces."
							case "Folders"
								strMessage = "There has been a problem retrieving the folder details from the database, please check your installation."
							case "Invalid"
								strMessage = "You have not specified a valid folder for deletion."
							case "System"
								strMessage = "The folder that you have specified is a system folder and cannot be deleted."
							case "Pages"
								strMessage = "The folder that you have specified still contains pages, you must delete any pages that are assigned to the folder before it can be deleted."
						end select
					
					case "Page"
						
						strHeader = "Page error"
						
						select case strError
							case "Type"
								strMessage = "You have not specified a valid page type to add."
							case "Title"
								strMessage = "You have not specified a valid page title."
							case "Name"
								strMessage = "You have not entered a valid page name. Page names can only contain letters and cannot contain any spaces."
							case "Address"
								strMessage = "You have not specified a valid link page address."
							case "Parent"
								strMessage = "You have not specified a valid parent page."
							case "Folder"
								strMessage = "You have not specified a valid folder."
							case "Duplicate"
								strMessage = "A page with that title or name already exists in the specified folder."
							case "Invalid"
								strMessage = "You have specified an invalid page."
							case "Protected"
								strMessage = "The page you have selected is protected and cannot be edited or deleted."
							case "Children"
								strMessage = "The page that you have selected currently has child pages assigned to it, please delete all child pages first."
							case "Order"
								strMessage = "You have not selected a valid order for the page."
						end select
					
					case "Categories"
						
						strHeader = "Category error"
						
						select case strError
							case "Name"
								strMessage = "You have not specified a valid category name."
							case "Duplicate"
								strMessage = "The category name that you have specified is already in use."
							case "Category"
								strMessage = "You have not specified a valid category."
							case "Default"
								strMessage = "You cannot delete this category as it is the the default category."
							case "Order"
								strMessage = "You have not specified a valid order for the category."
						end select
					
					case "Gallery"
						
						strHeader = "Gallery error"
						
						select case strError
							case "Height"
								strMessage = "You have not specified a valid height for your gallery thumbnails."
							case "Width"
								strMessage = "You have not specified a valid width for your gallery thumbnails."
						end select
					
					case "Feeds"
						
						strHeader = "Feeds error"
						
						select case strError
							case "Title"
								strMessage = "You have not specified a valid title for the feed."
							case "Address"
								strMessage = "You have not specified a valid address for the feed."
							case "Duplicate"
								strMessage = "The feed that you have specified already exists."
							case "Feed"
								strMessage = "The feed that you have specified does not exist."
							case "Disabled"
								strMessage = "Feeds are currently disabled."
						end select
						
					case "Links"
						
						strHeader = "Links error"
						
						select case strError
							case "Title"
								strMessage = "You have not specified a valid title for the link."
							case "Address"
								strMessage = "You have not specified a valid address for the link."
							case "Duplicate"
								strMessage = "The link that you have specified already exists."
							case "Feed"
								strMessage = "The link that you have specified does not exist."
							case "Disabled"
								strMessage = "Links are currently disabled."
						end select
					
					case "Files"
						
						strHeader = "Files error"
						
						select case strError
							case "Folder"
								strMessage = "The upload folder that you have specified is invalid."
							case "Files"
								strMessage = "You have not specified any valid files to upload."
						end select
					
					case else
						strHeader = "General error"
						strMessage = "There was an unknown error processing your request."
						strRedirect = "/default.asp"
						
				end select
				
				'display error message
				response.write("<h1>"& strHeader &"</h1>")
				response.write(strMessage &" Please click <a href='"& strBlogLocation & strRedirect &"' title='"& strBlogTitle &"'>here</a> if you are not redirected within 5 seconds.")
				'set redirection
				response.addheader "Refresh", "5; URL="& strBlogLocation & strRedirect
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>